#!/bin/bash

#Configure the user_account_name for the device via custom property
USER_NAME="%$device.user_account_name%"
#Configure the block_desktop_folder for the device via custom property
SHOULD_BLOCK_DESKTOP="%$device.block_desktop_folder%"
#Configure the block_document_folder for the device via custom property
SHOULD_BLOCK_DOCUMENT="%$device.block_document_folder%"
#Configure the block_download_folder for the device via custom property
SHOULD_BLOCK_DOWNLOAD="%$device.block_download_folder%"

###### DO NOT EDIT CODE BELOW THIS ##########


## Check if user exists
if id "$USER_NAME" &>/dev/null; then
    echo "User '$USER_NAME' exists."
else
    echo "User '$USER_NAME' does not exist."
    exit 1
fi

DESKTOP_FOLDER="/Users/$USER_NAME/Desktop/"
if [[ "$SHOULD_BLOCK_DESKTOP" = "true" ]]; then
    echo "Should block $USER_NAME's desktop folder access at $DESKTOP_FOLDER"
    chown -R root:wheel "$DESKTOP_FOLDER"
else
    echo "Should unblock $USER_NAME's desktop folder access at $DESKTOP_FOLDER"
    chown -R $USER_NAME:staff "$DESKTOP_FOLDER"
fi

DOCUMENT_FOLDER="/Users/$USER_NAME/Documents/"
if [[ "$SHOULD_BLOCK_DOCUMENT" = "true" ]]; then
    echo "Should block $USER_NAME's document folder access at $DOCUMENT_FOLDER"
    chown -R root:wheel "$DOCUMENT_FOLDER"
else
    echo "Should unblock $USER_NAME's document folder access at $DOCUMENT_FOLDER"
    chown -R $USER_NAME:staff "$DOCUMENT_FOLDER"
fi

DOWNLOAD_FOLDER="/Users/$USER_NAME/Downloads/"
if [[ "$SHOULD_BLOCK_DOWNLOAD" = "true" ]]; then
    echo "Should block $USER_NAME's document folder access at $DOWNLOAD_FOLDER"
    chown -R root:wheel "$DOWNLOAD_FOLDER"
else
    echo "Should unblock $USER_NAME's document folder access at $DOWNLOAD_FOLDER"
    chown -R $USER_NAME:staff "$DOWNLOAD_FOLDER"
fi

killall Finder
